import { DataType } from "./DataType";
export interface ObjectFieldMetadata {
    /**
     * Field logic name.
     */
    name: string;
    /**
     * Description of field.
     */
    description: string;
    /**
     * The data type of the field.
     */
    dataType: DataType;
    /**
     * The value supplied to this field must not be undefined. Null is accepted as a value.
     */
    isRequired?: boolean;
    /**
     * Class constructor or abstract constructor of the injection candidate.
     */
    injecteeSuperClass?: Function & {
        prototype: any;
    };
}
