export declare enum AccessConditionValueType {
    /**
     * Any string value. Constraint is a regex.
     */
    STRING = "STRING",
    /**
     * Numerical value. Constraint is {from: number, to: number, integer: boolean} encoded into string.
     */
    NUMBER = "NUMBER",
    /**
     * Yes or No. No constraint.
     */
    BOOLEAN = "BOOLEAN",
    /**
     * An unlimited list of string values. Constraint is whether emptiness is allowed.
     */
    LIST = "LIST",
    /**
     * A list of choices. Constraint is the list of choices.
     */
    CHOICES = "CHOICES",
    /**
     * A list of mutual exclusive choices. Constraint is the list of choices.
     */
    MUTEXCHOICES = "MUTEXCHOICES",
    /**
     * And DtoMetadata that validates an data object. Constraint is the information of dto fields.
     */
    DTO = "DTO"
}
