export declare enum MessageType {
    /** Keep alive signal */
    PING_PONG = "__PING_PONG__",
    /**
     * Channel join request
     */
    CHANNEL_JOIN = "__CHANNEL_JOIN__",
    /**
     * Channel leave request
     */
    CHANNEL_LEAVE = "__CHANNEL_LEAVE__",
    /**
     * Plain text message
     */
    PLAIN = "__PLAIN__",
    /**
     * Gracefully request server to drop the connnection with reason.
     */
    DISCONNECTION = "__DISCONNECTION__"
}
export interface SocketMessage {
    /**
     * Id of the message, to be sent by client and returned by the server
     */
    id?: string;
    /**
     * Type of socket message
     */
    type: MessageType;
    /**
     * Data payload
     */
    data: any;
}
